Bug 731768 - Quick clicking can hang RHQ session
Quick clicking can hang RHQ session
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-18 11:09 EDT by Mike Foley
Modified: 2014-09-29 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 14:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of RHQ session hung with details from Firebug (142.41 KB, image/png)
2011-08-18 11:09 EDT, Mike Foley
no flags Details
.jar file containing detailed data on server threads (105.24 KB, application/x-java-archive)
2011-08-18 11:09 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-08-18 11:09:04 EDT
Created attachment 518892 [details]
Screenshot of RHQ session hung with details from Firebug

Description of problem:  Quick clicking can hang RHQ session


Version-Release number of selected component (if applicable):


How reproducible:
100% after several minutes of quick clicking

Steps to Reproduce:
1. quick clicking 


  
Actual results:
current RHQ session becomes hung and unresponsive.  (the server is not hung, closing that session and starting a new session resolves the issue)

Expected results:
RHQ is robust to quick clicking

Additional info:
1) attached Firebug screenshot showing all RPC GETs timing out
2) .jar file with data on server threads
Comment 1 Mike Foley 2011-08-18 11:09:53 EDT
Created attachment 518893 [details]
.jar file containing detailed data on server threads
Comment 2 Ian Springer 2011-08-22 16:24:53 EDT
Where were you doing the quick clicking? in the Resource tree?
Comment 3 Charles Crouch 2011-08-30 10:16:38 EDT
Mazz, is going to try to reproduce again
Comment 4 John Mazzitelli 2011-08-30 11:40:14 EDT
I fast clicked for 3 minutes. never hung. however, I did replicate bug #733718
Comment 5 Charles Crouch 2011-08-30 16:07:18 EDT
dropping priority given difficulty in reproducing
Comment 6 Mike Foley 2014-09-29 10:37:57 EDT
.

Note You need to log in before you can comment on or make changes to this bug.